#include <iostream>

using namespace std;

int main()
{
    bool isti = false;
    long long n, poc=0,poc2=0,ind1=0,ind2=1,razlika=0;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
        poc=poc*10+a[i];
    }
    for(int i = 0; i<n;i++)
        for(int j=0;j<n;j++)
        {
            if(i!=j)
            {
                if(a[i]<a[j])
                {
                    if(j>i)
                    {
                        if(a[j]-a[i]>razlika)
                        {
                            razlika = a[j]-a[i];
                            ind1 = i;
                            ind2 = j;
                        }
                    }
                }
                else if(a[i]==a[j])
                    isti = true;
            }
        }
    //cout<<isti<<endl;
    if(isti)
    {
        swap(a[ind1],a[ind2]);
        for(int i=0;i<n;i++)
        {
            poc2=poc2*10+a[i];
        }
        //cout<<poc2<<endl;
        if(poc>poc2)
        {
            swap(a[ind1],a[ind2]);
            for(int i=0;i<n;i++)
            {
                cout<<a[i]<<" ";
            }
        }
        else
        {
            for(int i=0;i<n;i++)
            {
                cout<<a[i]<<" ";
            }
        }
    }
    else
    {
        //cout<<ind1<<" "<<ind2<<endl;
        swap(a[ind1],a[ind2]);
        for(int i=0;i<n;i++)
        {
            cout<<a[i]<<" ";
        }
    }
    return 0;
}